| Home · API Reference · Modules

Public Member Functions | List of all members
QtWaylandClient::QWaylandInputPanelShellIntegration Class Reference

`#include <qwaylandinputpanelshellintegration.h>`

Inheritance diagram for QtWaylandClient::QWaylandInputPanelShellIntegration:
[legend]

## Public Member Functions

| QWaylandInputPanelShellIntegration ()
| ~QWaylandInputPanelShellIntegration () override
bool | initialize (QWaylandDisplay *display) override
QWaylandShellSurface * | createShellSurface (QWaylandWindow *window) override

## Constructor & Destructor Documentation

## ◆ QWaylandInputPanelShellIntegration()

QtWaylandClient::QWaylandInputPanelShellIntegration::QWaylandInputPanelShellIntegration | ( |  | ) |

## ◆ ~QWaylandInputPanelShellIntegration()

QtWaylandClient::QWaylandInputPanelShellIntegration::~QWaylandInputPanelShellIntegration | ( |  | ) |

override

## Member Function Documentation

## ◆ createShellSurface()

QWaylandShellSurface * QtWaylandClient::QWaylandInputPanelShellIntegration::createShellSurface | ( | QWaylandWindow * | window | ) |

override

## ◆ initialize()

bool QtWaylandClient::QWaylandInputPanelShellIntegration::initialize | ( | QWaylandDisplay * | display | ) |

override

Copyright © 2011 Nokia Corporation |  | Maliit